Browse the API reference

Remove Graph Member

delete/v1/graphs/{graph_id}/members/{user_id}

Part of Graph Members.

Revoke an explicit member's access to the graph. Requires graph admin.

Authentication

Authenticate in any one of these ways — not all of them:

  • API key in the X-API-Key header.
  • Bearer token in the Authorization header.

Path parameters

NameTypeDescription
user_idrequiredstringUser Id
graph_idrequiredstringGraph identifier

Example request

curl
curl -X DELETE "https://api.robosystems.ai/v1/graphs/{graph_id}/members/{user_id}" \
  -H "X-API-Key: $ROBOSYSTEMS_API_KEY"

Responses

204 Successful Response

StatusMeaning
400Invalid request
401Authentication required
403Access denied
404Resource not found
422Validation Error
429Rate limit exceeded
500Internal server error